Bug 1701159 - [OSP15] failed healthcheck for nova_scheduler and nova_compute containers
Summary: [OSP15] failed healthcheck for nova_scheduler and nova_compute containers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 15.0 (Stein)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ga
: 15.0 (Stein)
Assignee: Martin Schuppert
QA Contact: Artem Hrechanychenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-18 09:15 UTC by Artem Hrechanychenko
Modified: 2019-09-26 10:49 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-10.5.1-0.20190429000408.3415df5.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:21:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1824805 0 None None None 2019-04-18 09:32:14 UTC
OpenStack gerrit 654445 0 'None' MERGED Use oslo_messaging_rpc_port for nova rpc healthchecks 2020-11-16 13:55:56 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:21:35 UTC

Description Artem Hrechanychenko 2019-04-18 09:15:44 UTC
Description of problem:
● tripleo_nova_compute_healthcheck.service - nova_compute healthcheck
   Loaded: loaded (/etc/systemd/system/tripleo_nova_compute_healthcheck.service; disabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Thu 2019-04-18 09:00:36 UTC; 34s ago
  Process: 330982 ExecStart=/usr/bin/podman exec nova_compute /openstack/healthcheck null (code=exited, status=1/FAILURE)
 Main PID: 330982 (code=exited, status=1/FAILURE)
Apr 18 09:00:36 undercloud-0.redhat.local systemd[1]: Starting nova_compute healthcheck...
Apr 18 09:00:36 undercloud-0.redhat.local podman[330982]: There is no nova-compute process with opened RabbitMQ ports (null) running in the container
Apr 18 09:00:36 undercloud-0.redhat.local podman[330982]: exit status 1
Apr 18 09:00:36 undercloud-0.redhat.local systemd[1]: tripleo_nova_compute_healthcheck.service: Main process exited, code=exited, status=1/FAILURE
Apr 18 09:00:36 undercloud-0.redhat.local systemd[1]: tripleo_nova_compute_healthcheck.service: Failed with result 'exit-code'.
Apr 18 09:00:36 undercloud-0.redhat.local systemd[1]: Failed to start nova_compute healthcheck.

● tripleo_nova_scheduler_healthcheck.service - nova_scheduler healthcheck
   Loaded: loaded (/etc/systemd/system/tripleo_nova_scheduler_healthcheck.service; disabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Thu 2019-04-18 08:59:56 UTC; 1min 14s ago
  Process: 329995 ExecStart=/usr/bin/podman exec nova_scheduler /openstack/healthcheck null (code=exited, status=1/FAILURE)
 Main PID: 329995 (code=exited, status=1/FAILURE)
Apr 18 08:59:56 undercloud-0.redhat.local systemd[1]: Starting nova_scheduler healthcheck...
Apr 18 08:59:56 undercloud-0.redhat.local podman[329995]: There is no nova-scheduler process with opened RabbitMQ ports (null) running in the container
Apr 18 08:59:56 undercloud-0.redhat.local podman[329995]: exit status 1
Apr 18 08:59:56 undercloud-0.redhat.local systemd[1]: tripleo_nova_scheduler_healthcheck.service: Main process exited, code=exited, status=1/FAILURE
Apr 18 08:59:56 undercloud-0.redhat.local systemd[1]: tripleo_nova_scheduler_healthcheck.service: Failed with result 'exit-code'.
Apr 18 08:59:56 undercloud-0.redhat.local systemd[1]: Failed to start nova_scheduler healthcheck.



Version-Release number of selected component (if applicable):
OSP15 - RHOS_TRUNK-15.0-RHEL-8-20190412.n.0
python3-tripleoclient-heat-installer- 1.4.1-0.20190411190358.0ca816d.el8ost.noarch
python3-tripleo-common-10.6.2-0.20190412150355.0ec6518.el8ost.noarch
python3-tripleoclient-11.4.1-0.20190411190358.0ca816d.el8ost.noarch
openstack-tripleo-heat-templates-10.4.1-0.20190412000410.b934fdd.el8ost.noarch
openstack-nova-compute-ironic:20190411.1 
openstack-nova-scheduler:20190411.1

How reproducible:
always

Steps to Reproduce:
1.Deploy OSP15
2.check healthcheck status by calling systemctl status tripleo_<container_name>-_healthcheck.service 
3.

Actual results:
There is no nova-scheduler|nova_compuute process with opened RabbitMQ ports (null) running in the container

Expected results:
exited with rc==0 and status = Passed

Additional info:

Comment 3 Martin Schuppert 2019-04-18 12:17:43 UTC
fix [1] merged upstream.

[1] https://review.openstack.org/652964

Comment 7 Artem Hrechanychenko 2019-06-25 08:51:53 UTC
Verified

openstack-tripleo-heat-templates-10.5.1-0.20190619000409.eff8376.el8ost.noarch

[stack@undercloud-0 ~]$ sudo systemctl status ripleo_nova_compute_healthcheck.service
Unit ripleo_nova_compute_healthcheck.service could not be found.
[stack@undercloud-0 ~]$ sudo systemctl status tripleo_nova_compute_healthcheck.service
● tripleo_nova_compute_healthcheck.service - nova_compute healthcheck
   Loaded: loaded (/etc/systemd/system/tripleo_nova_compute_healthcheck.service; disabled; vendor preset: disabled)
   Active: inactive (dead) since Tue 2019-06-25 08:50:22 UTC; 30s ago
  Process: 55946 ExecStart=/usr/bin/podman exec nova_compute /openstack/healthcheck 5672 (code=exited, status=0/SUCCESS)
 Main PID: 55946 (code=exited, status=0/SUCCESS)

Jun 25 08:50:21 undercloud-0.redhat.local systemd[1]: Starting nova_compute healthcheck...
Jun 25 08:50:22 undercloud-0.redhat.local systemd[1]: Started nova_compute healthcheck.

[stack@undercloud-0 ~]$ sudo systemctl status tripleo_nova_compute_healthcheck.service
● tripleo_nova_compute_healthcheck.service - nova_compute healthcheck
   Loaded: loaded (/etc/systemd/system/tripleo_nova_compute_healthcheck.service; disabled; vendor preset: disabled)
   Active: inactive (dead) since Tue 2019-06-25 08:50:22 UTC; 30s ago
  Process: 55946 ExecStart=/usr/bin/podman exec nova_compute /openstack/healthcheck 5672 (code=exited, status=0/SUCCESS)
 Main PID: 55946 (code=exited, status=0/SUCCESS)

Jun 25 08:50:21 undercloud-0.redhat.local systemd[1]: Starting nova_compute healthcheck...
Jun 25 08:50:22 undercloud-0.redhat.local systemd[1]: Started nova_compute healthcheck.
[stack@undercloud-0 ~]$ sudo systemctl status tripleo_nova_scheduer_healthcheck.service
Unit tripleo_nova_scheduer_healthcheck.service could not be found.
[stack@undercloud-0 ~]$ sudo systemctl status tripleo_nova_scheduler_healthcheck.service
● tripleo_nova_scheduler_healthcheck.service - nova_scheduler healthcheck
   Loaded: loaded (/etc/systemd/system/tripleo_nova_scheduler_healthcheck.service; disabled; vendor preset: disabled)
   Active: inactive (dead) since Tue 2019-06-25 08:50:21 UTC; 49s ago
  Process: 55943 ExecStart=/usr/bin/podman exec nova_scheduler /openstack/healthcheck 5672 (code=exited, status=0/SUCCESS)
 Main PID: 55943 (code=exited, status=0/SUCCESS)

Jun 25 08:50:21 undercloud-0.redhat.local systemd[1]: Starting nova_scheduler healthcheck...
Jun 25 08:50:21 undercloud-0.redhat.local systemd[1]: Started nova_scheduler healthcheck.

Comment 9 errata-xmlrpc 2019-09-21 11:21:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.